Научная статья на тему 'An Elementary Algorithm for Solving a Diophantine Equation of Degree Four with Runge’s Condition'

An Elementary Algorithm for Solving a Diophantine Equation of Degree Four with Runge’s Condition Текст научной статьи по специальности «Математика»

CC BY
113
13
i Надоели баннеры? Вы всегда можете отключить рекламу.
Ключевые слова
diophantine equations / elementary version of Runge’s method. / диофантовы уравнения / элементарная версия метода Рунге.

Аннотация научной статьи по математике, автор научной работы — Nikolai N. Osipov, Maria I. Medvedeva

We propose an elementary algorithm for solving a diophantine equation (p(x, y) + a1x + b1y)(p(x, y) + a2x + b2y) − dp(x, y) − a3x − b3y − c = 0 (∗) of degree four, where p(x, y) denotes an irreducible quadratic form of positive discriminant and (a1, b1) ̸= (a2,b2). The last condition guarantees that the equation (∗) can be solved using the well known Runge’s method, but we prefer to avoid the use of any power series that leads to upper bounds for solutions useless for a computer implementation.

i Надоели баннеры? Вы всегда можете отключить рекламу.
iНе можете найти то, что вам нужно? Попробуйте сервис подбора литературы.
i Надоели баннеры? Вы всегда можете отключить рекламу.

Элементарный алгоритм для решения диофантова уравнения четвертой степени с условием Рунге

Предлагается элементарный алгоритм решения диофантова уравнения (p(x, y) + a1x + b1y)(p(x, y) + a2x + b2y) − dp(x, y) − a3x − b3y − c = 0 (∗) степени четыре, где p(x, y) обозначает неприводимую квадратичную форму положительного дискриминанта и (a1,b1) ̸= (a2,b2). Последнее условие гарантирует, что уравнение (∗) может быть решено с помощью хорошо известного метода Рунге, однако мы предпочитаем не использовать разложения в ряды, которые приводят к верхним границам для решений, бесполезным для компьютерной реализации.

Текст научной работы на тему «An Elementary Algorithm for Solving a Diophantine Equation of Degree Four with Runge’s Condition»

УДК 511.52

An Elementary Algorithm for Solving a Diophantine Equation of Degree Four with Runge's Condition

Nikolai N. Osipov* Maria I. Medvedevat

Institute of Space and Information Technology Siberian Federal University Svobodny, 79, Krasnoyarsk, 660041

Russia

*

Received 16.08.2018, received in revised form 18.10.2018, accepted 01.04.2019

We propose an elementary algorithm for solving a diophantine equation

(p(x,y) + a±x + biy)(p(x, y) + a2x + b2y) - dp(x,y) - a3x - b3y - c = 0

M

of degree four, where p(x,y) denotes an irreducible quadratic form of positive discriminant and (ai,bi) = (a2,b2). The last condition guarantees that the equation (*) can be solved using the well known Runge's method, but we prefer to avoid the use of any power series that leads to upper bounds for solutions useless for a computer implementation.

Keywords: diophantine equations, elementary version of Runge's method. DOI: 10.17516/1997-1397-2019-12-3-331-341.

Introduction

As is well known, there is a wide class of diophantine equations in two unknowns

for which there exists an effective solving method (that gives some explicit upper bounds for solutions), so-called Runge's method [7]. An exposition of the standard version of Runge's method can be found in the well known books [2] and [9] (also see Theorem of Runge below).

However, the practical implementation of Runge's method is absent in modern computer algebra systems, with the exception of some special cases (see, for example, [6,10]). The original version of Runge's method based on Puiseux expansions of the corresponding algebraic function y = ^(x) leads to "bad" (too large) estimates for the solutions which makes difficult a computer implementation of this method. As it seems, the practical algorithms for solving diophantine equations (1) with Runge's condition must be founded on some other ideas.

Let us recall the main result underlying Runge's method. We will suppose that the polynomial

with m = degK f (x,y) and n = degy f (x,y) is irreducible over Q. Denote by L the line defined on R2 by the equation x/m + y/n = 1 and by S the set of all (i,j) such that aj = 0. In 1887 Carl Runge proved the following theorem (see [7] and, for useful comments, [1,11]).

* nnosipov@rambler.ru

1 mimedvedeva@rambler.com © Siberian Federal University. All rights reserved

f (x,y) = 0,

(1)

m n

(2)

¿=0 j=0

Theorem of Runge. Suppose that the equation (1) has infinitely many solutions over Z. Then each of the following conditions holds:

(a) there are no points of S lying above the line L,

(b) the L-leading part

is (up to a constant factor) a power of an irreducible over Q polynomial p(x, y) £ Z[x, y], and

(c) all the Puiseux expansions of y = ^(x) at x = to are pairwise conjugate.

We say that a polynomial f (x,y) satisfies Runge's condition, if at least one of the conditions (a), (b) or (c) does not hold. Theorem of Runge can be reformulated in the following equivalent form: if f (x,y) satisfies Runge's condition, then the equation (1) has a finite set of solutions over Z. In addition, the proof is constructive and leads to some explicit estimates for the size of integer solutions (see [8,11] for detailed information; as we noted above, these estimates are useless for a computer implementation even in the case of small m and n). Rewrite the polynomial (2) as

where d = deg f (x,y) and fd(x,y) denotes the leading homogeneous part of f (x,y). The most known, but simplified version of Theorem of Runge is the following (see, for example, [2]).

Corollary. If fd(x,y) can be decomposed into a product of non-constant relatively prime polynomials in Z[x,y], then the equation (1) has a finite set of solutions over Z.

Proof. Clearly, d > max {m,n}. The condition on fd(x,y) implies that either (a) or (b) is not satisfied. □

Assuming the condition of Corollary satisfied, for the case d = 3 a practical (really working) algorithm for solving the equation (1) was proposed in the paper [5]. This algorithm is based on the elementary version of Runge's method for cubic diophantine equations firstly announced in [3]. In the next case d = 4 we also have a simple and elementary solving method which can be used instead of the classical Runge's method (see [4]).

In our paper we consider a family of diophantine equations of the form

where p(x,y) £ Z[x,y] is an irreducible quadratic form and f^3(x,y) £ Z[x,y] is a polynomial of degree at most three. Here we have d = m = n = 4 and each of the conditions (a), (b) (see Theorem of Runge) holds. Nevertheless, for some subfamily of such equations, Runge's method works (in other words, for the equation (3) the condition (c) may be violated sometimes). For comparison, going to apply Runge's method in the case d = 3, we can ignore the condition (c) for the following reason: if (c) is violated, then either (a) or (b) is violated necessarily.

The article is organized as follows. In Section 1 we give a sufficient condition which provides that the equation (3) has only a finite set of solutions over Z (Theorem 1). Also we explain (including some examples) how one can verify the proposed condition in practice. In Section 2 we propose a practical algorithm for solving the equation (3) when our condition is satisfied. The advised algorithm is based on Theorem 2 and admits an optimization due to an additional parameter (so-called the control parameter).

(i,j)esnL

f (x, y) = fd(x, y) + f<d(x, y),

P(x,y)2 + f^3(x,V) = 0,

(3)

1. Main theoretical result

Let

p(x, y) = Ax? + Bxy + Cy2 £ Z[x, y]

be a quadratic form on two variables. Suppose that p(x, y) is irreducible over Q and consider the diophantine equation

p(x,y)2 + Us(x,y) = 0 (4)

where f^3(x, y) € Z[x, y] is a polynomial of degree at most three. We suppose that the polynomial in the left hand side of (4) is also irreducible over Q. Denote

Д = B1 - 4AC.

Clearly, in the case Д < 0 the algebraic curve defined by the equation (4) is bounded and this equation can be solved over Z by full search in the predetermined limits. Below we will assume Д > 0. The irreducibility of p(x,y) means that Д is not a perfect square.

In the following theorem we give a sufficient condition which provides the finiteness of the set of all solutions of the equation (4) over Z.

Theorem 1. If the equation (4) admits the form

(p(x, y) + aix + biy)(p(x, y) + aix + b2y) - dp(x, y) - a3x - b3y - c = 0, (5)

where (ai,bi) = (a1,b2), then the set of its solutions over Z is finite.

Proof. Let a be one of the roots of the quadratic equation p(1,y) = 0 and y = ^(x) be the corresponding branch of the algebraic function defined by the equation (5). It is well known that y = ^(x) can be represented as a Puiseux series (in particular, as a Laurent series) at x = то, namely

y = ^(x) = ax + (3xe + o(x£), x ^ то, where в = 0 and e < 1. Substituting y = ax + yi in the equation (5), we obtain

Дx2yl + (the summands of the form Yxiy:[) = 0,

where i < 2, i + j < 4 and (i,j) = (2,2). For y\ = Px£ + o(xe) in the case e > 0 we arrive at the following contradiction: the equality

Дв'1^1^2 + (the summands of the form 7ejxi+Ej) + o(x2+2e) = 0

is impossible for all sufficiently large values of x. Thus, we have e < 0. Consider two cases.

(I) The case e = 0. We have

p(x, y) = в(В + 2Ca)x + o(x), aix + biy = (ai + bia)x + O(1), x ^ то, where y = &(x). Since a is irrational and (a^,b^) = (a2,b2), the numbers

Yi = в(В + 2Ca) + ai + bia (i = 1, 2) cannot be simultaneously equal to zero. Suppose л = 0. Then

lim dp(x, y) + a3x + b3y + c = de(B + 2Ca) + a3 + b3a х^ж p(x,y) + aix + biy

Therefore, for large x, we get an additional equation

p(x, y) + aix + biy = w,

where w is some integer from a small neighborhood of the limit (6).

(II) The case e < 0. We have y = ax + o(1) at x ^ то. Then

p(x, y) = o(x), aix + biy = (ai + bia)x + o(1), x ^ то. We can assume that ai + bia = 0. Hence

dp(x,y) + a3x + b3y + c a3 + b3 a

hm --;-;- = -;-•

p(x,y) + a\x + bi y ai + bi a Thus, for large x, we obtain an additional equation

p(x, y) + a^x + b2y = w,

lim

(7)

where w is some integer from a small neighborhood of the limit (7).

As a result, in both cases (I) and (II) we reduced the diophantine equation (5) to a system of two algebraic equations. It is easy to see that such system has only a finite set of solutions.

Remark 1. Using the special variable z given by (10) and excluding the variable y, we reduce the equation (5) to the equation

Since (ai,bi) = (a2,b2), we conclude that Ai = 0. One can prove that any equation of the type (8) has only a finite set of solutions (x,z) £ Z2 (for detailed information see [4]). This gives another elementary proof of Theorem 1.

How to verify whether the equation (4) can be transformed to the form (5)? Let

U.3(x,y) = f3(x,y) + f2(x,y) + •••,

where f3(x, y) and f2(x, y) are the cubic and quadratic forms, respectively. Clearly, the necessary condition is that f3(x,y) is divisible by p(x,y). Suppose this condition is satisfied. Then

li(x,y) + ¡2 (x, y) = l(x,y),

where l(x,y) = f3(x,y)/p(x,y) is the known linear form and

¡i(x,y) = aix + biy (i = 1, 2) are unknowns linear forms. Further on, we use the quadratic form f2(x,y). We have

f2(x,y) = li(x,y)(l(x,y) - li(x,y)) - dp(x,y)• This is a quadratic equation with respect to the unknown linear form li(x,y). Its discriminant

D(x, y) = l(x, yf - 4(f2(x, y) + dp(x, y))

must be a square of a linear form over Q (in fact, over Z). Hence, the discriminant of the quadratic form D(x, y) must be equal to zero. This gives a quadratic equation with respect to the unknown coefficient d and we need only to solve it over Z.

Example 1. Transform the equation

(x2 — xy — y2)2 — 2x3 + 2x2y + 2y2x + xy — 3y2 — y = 0 to the form (5). Here we have

p(x,y)= x2 — xy — y2, f3(x,y) = —2x3 + 2x2y + 2y2x, f2(x,y) = xy — 3y2,

This completes the proof.

z2(A1x2 + (B(b1 - b2) - 2C(a1 - a2))xz + Cz2) + F^3(x, z) = 0, where F^3(x, z) G Z[x, z] is a polynomial of degree at most three. We have At = A(bt - b2)2 - B(ai - a2)(h - b2) + C(ax - a2)2.

(8)

D(x, y) = (4 — 4d)x2 + (4d — 4)xy + (12 + 4d)y2•

Consequently, for the coefficient d we obtain the equation

(4d — 4)2 — 4(4 — 4d)(12 + 4d) = 0,

which implies d = 1 or d = —11/5. Taking d = 1, we get D(x,y) = (4y)2. Finally, the required form is

(p(x,y) — x + 2y)(p(x,y) — x — 2y) — p(x,y) — y = 0^ Example 2. Show that the equation

(y2 — 2x2)2 — 3y2 — x — y = 0

iНе можете найти то, что вам нужно? Попробуйте сервис подбора литературы.

cannot be transformed to the form (5). Indeed, taking p(x, y) = y2 — 2x2, we obtain

D(x, y) = 8dx2 + (12 — 4d)y2.

Hence, d = 0 or d = 3, but in both cases D(x, y) is not a square of linear form over Q.

Now we discuss the question on finding the coefficient P. Using a computer algebra system, one can show that P is equal to one of the numbers

P = —Bai + 2Abi + (—2Cai + Bbi)a

Pi = ^ (i = 1, 2)•

Suppose that P = ¡2 =0. Then

Y2 = ¡2 (B + 2Ca) + 0,2 + b2a = 0,

Yi = ¡2 (B + 2Ca) + ai + bia = (ai — a2) + (bi — b2 )a = 0^ In particular, ¡2(B + 2Ca) = —a2 — b2a and we conclude that the limit (6) is equal to

(a3 — da2) + (b3 — db2)a

(ai - a2) + (bi - b2)c

(9)

For any i = 1, 2, it is not difficult to see that the equality ßi =0 is equivalent to the equality (ai,bi) = (0,0). In the case ß2 =0 the expression in the right hand side of (9) reduces to the most simple expression

a3 + b3a ai + b\a

2. Solving algorithm and its optimization

In this section we propose a simple practical algorithm for solving the equation (5) and give several illustrative examples.

Our main problem is the following: give explicitly a condition on the solution (x, y) G R2 of the equation (5), which provides that the values of the expression

p(x,y) + a2x + b2y

turn out to be near the limit (9).

We can use the fact that the curve defined by (5) admits a convenient parametrization (of course, nonrational because this curve is always elliptic). We introduce the parameter

2 = p(x,y) + aix + biy. (10)

a

After substitution z — a1x — b1y instead of p(x, y) in (5), we obtain the linear (with respect to x and y) equation

uy (z)x + ux(z)y + z2 — dz — c = 0

with the coefficients

Ux(z) = (b2 — bi)z + dbi — b3, Uy (z) = (a2 — ai)z + dai — a3.

Hence one can express y in terms of x and substitute it in the equation (10). Thus, we obtain a quadratic equation with respect to x which can be solved (actually, we get the equation (8) rewritten in the corresponding form). After all, we get a parametrization for the equation (5) of the type

x = X±(z), y = Y±(z), where the expressions X±(z) and Y±(z) have the form

nx(z) , Ux(z) / p(z) , . _ ny(z) Uy(z) I P(z)

X (z) I Ip(z) v (z) ny(z) Uy(z) I p(z)

X±(z) = -rn^' v±(z) = -2e(Z)T—V^•

Here e(z), p(z), nx(z), and ny(z) are the polynomials with integers coefficients, but we do not demonstrate their explicit expressions because they are quite unwieldy. We only remark that degnx(z) < 3, degny(z) < 3 and

e(z)= Az + Biz + Cu p(z) = Az4 + •••,

where the constant A1 = 0 is given in Remark 1. Furthermore, we have

w = p(x, y) + a2x + b2y = z + (a2 - ai)x + (b2 - bi)y = W±(z),

where

w±(z) = -^ ±

nz) 2 v az)2

with deg nw (z) < 2 and the constant

w = ux(z)(a2 - a!) - Wy(z)(b2 - bi) = a3(b2 - bi) - b3(a,2 - ai) + d(a2b\ - ab).

Note also that the discriminant of the quadratic polynomial £(z) is

A1 = B2 - 4A1C1 = w2A.

Firstly, we consider the special case w = 0. In this case we can find the rational coefficients d!, d2 and c! = 0 such that the equation (5) can be rewritten as

(p(x, y) + aix + biy + di)(p(x,y) + a2x + b2y + d^) = ci. (11)

Namely, if a1 = a2 then we can put

da1 - a3 da2 - a3

di = -, d2 = -, ci = did2 + c

a2 - a1 a1 - a2

(and similarly in the case bi = b2). It is clear how we can solve the equation (11). For instance, assuming a1 = a2, we rewrite it in the form

(da2 - a3)z + c(a2 - ai)

w = -^—n-. (12)

(a2 - ai)z + dai - a3

Then we find all the pairs (z, w) G Z2 which satisfy (12) (they form some finite set). Finally, for all such pairs (z, w), we solve over Z the systems of the form

p(x, y) + aix + biy = z, p(x, y) + a2x + b2y = w

by eliminating p(x, y) and obtaining a linear equation with respect to x and y. Further, we will assume that w = 0. Let us consider two illustrative examples.

Example 3. Solve the equation

(y2 - 2x2)2 - 2y2 - x - y = 0, which can be transformed to the form (5):

(y2 - 2x2 - 2x)(y2 - 2x2 + 2x) - 2(y2 - 2x2) - x - y = 0. Here we can take z = y2 - 2x2 - 2x and w = y2 - 2x2 + 2x. Then we have

, . 12z2 - Hz + 4 2z4 - 6z2 + 3z +1

w = W±(z) = —2^—— T 4\

(2

16z2 — 40z + 23 y (16z2 — 40z + 23)2' It is easy to see that

Km W±(z) = 3±^2 • One can show that if z ^ —2 or z ^ 2 then the inequalities

0 < W+(z) < 1

hold. Also, we have the inequalities

1 < W-(z) < 2

when z < —16 or z > 4. Any solution (x,y) can be written as (X±(z),Y±(z)) where

^ , ч -4z3 + 13z2 - 10z + 1

X+ (z) = -r-=F

±w 16z2 - 40z + 23

„ , ч -2z2 +8z - 5

Y±(z)= , oo T (4z - 5)

/ /

¡2z4 - 6z2 +3z + 1

(16z2 - 40z + 23)2 '

2z4 - ■6z2 + 3z + 1

16z2 - 40z + 23 y ']] (16z2 - 40z + 23)2 '

Taking z £ { —1,0,1}, we find all solutions of the form (X+(z),Y+(z)), namely

(0,0) = (X+(0),Y+(0)), (0, -1) = (X+(1),Y+(1)).

All solutions of the form (X-(z), Y-(z)) can be found if we take z G {-15, -14,..., 2, 3}:

(4, -5) = (X-(-15),Y-(-15)), (0, -1) = (X-(1),Y-(1)).

Thus, the set of all solutions is {(0,0), (0, -1), (4, -5)}. Example 4. Consider the equation

(y2 - 2x2')(y2 - 2x2 + x) + y - c = 0 (13)

with the integer parameter c > 1. Here we have

z = y2 - 2x2, w = y2 - 2x2 + x,

, s —z3 + cz

V / N 2z2 - 2c

Y±(z) = —-— T z

/ / /

'2z4 + z3 - 4cz2 - 2z + 2c2

(z2 - 2)2 '

12z4 + z3 - 4cz2 - 2z + 2c2

(z2 - 2)2 :

2z4 + z3 - 4cz2 - 2z + 2c2

z2 - 2 1 " \/ (z2 - 2)2

lim W±(z) = ±V2.

-4c + 9 - V8c2 - 72c + 145 2c - 5 + V8c2 - 20c +17

-2 < W_(z) < -1

In particular,

One can prove that if

iНе можете найти то, что вам нужно? Попробуйте сервис подбора литературы.

z & I_(c)--then the inequalities hold and, similarly, if

z& I+(c) then the inequalities

1 < W+(z) < 2

hold. Thus, if the integer solutions (x,y) = (X±(z),Y±(z)) exist then z & I±(c) holds. Relying on this claim, we can suggest an obvious algorithm for solving the equation (13).

Furthermore, investigating the expressions X±(z) and Y±(z) when z & I±(c), we obtain the following upper bound for the solutions (x,y):

-2c + 3 -V8c2 - 12c + 1 4c - 7 + %/8c2 - 56c +113

max{|x|, \y\} < Mic,

(14)

where Mi > 0 is an absolute constant (for instance, we can take Mi = 10). We remark that the estimate (14) can be achieved (up to an absolute constant factor) for infinitely many values of the parameter c. Indeed, let (xj,yj) be the pairs of positive integers satisfying

yj - 2x2 = -1

(as is well known from the theory of Pell's equations, there are infinitely many such pairs). Then for c = yj - xj + 1 the equation (13) has the solution (x, y) = (xj, yj) for which

max{|x|, |y|} - (2 + V2)c.

Before returning to the general case, let us consider Example 4 from the point of view of the effectiveness of used solving algorithm. Obviously, the proposed algorithm require O(c) tests for the integer values of the expressions X±(z) and Y±(z) when the integer variable z runs through the intervals I±(c). Moreover, we can exploit directly the estimate (14) for solving the equation (13) by full search in the prescribed bounds. Fortunately, we can elaborate a more efficient solving algorithm. Rewrite W±(z) as

W±(z)=(-2?

/

z - 4(c - 2) (c - 2)2

1+ o ^ +

2(z2 - 2) (z2 - 2)2 '

Then we have

^ (c - 2)\z\ ^ / z - 4(c - 2) (c - 2)2 <

W±(z) TV2\ < + V2 . ^

V

z - 4(c - 2) (c - 2)2 1 + 2(z2 - 2) + (z2 - 2)2

^ (c - 2)\z\ + V2 \z\ + 4(c - 2) + (c - 2)2

|z2 — 2| 2|z2 — 2| (z2 — 2)2

where in the last inequality we used that

\VT+t —1| (15)

for all t ^ —1. Hence, if \z\ > m for some m > %/2 then

\w±(z) tV~2\ < ^ V2 ., kmNr + =

m2 - 2 y 2(m2 - 2) (m2 - 2)2

(c - 2)m R m + 4(c - 2) (c - 2)2

It is easy to see that Q(yfc) ~ y/C at c ^ to. Thus, we can conclude that the inequality

\z\ >Vc

implies the estimate

\w\ = \W±(z)\ <M2sfc

with an absolute constant M2 > 0 that is close to 1. Therefore, it is sufficient only O(yfc) such tests for the expressions X±(z), Y±(z) and the similar expressions X±(w), Y±(w) which can be obtained by replacing (ai,bi) ^ (a2,b2) and z ^ w in X±(z), Y±(z). In our case we have

Y . . 2w3 - 2cw - 1 1 X±(W)= 2(w2 - 2) ± 2

~ 4w2 - w - 4c w Y±(w) = о/„ .2-± T7

j8w4 - 16cw2 + (4c - 8)w + 8c2 + 1

1 (w2 - 2)2 :

18w4 - - 16cw2 + (4c - 8)w + 8c2 + 1

2(w2 — 2) 2 (w2 — 2)2

As a result, we propose the following faster solving algorithm for the equation (13):

(a) find the integer values of X±(z), Y±(z) for all integers z satisfying \z\ < y/C, and

(b) find the integer values of X±(w), Y±(w) for all integers w with \w\ < M2yJC.

For example, using this algorithm, we can solve the equation (13) for 1 < c < 105 (see Tab. 1 which contains some statistical information on the quantity of solutions).

Table 1. The number of solutions of the equation (13) when 1 <c < 105

#c

0 95957

1 3823

2 199

3 14

4 5

5 0

6 1

In the general case, we can proceed analogously. Let m0 = uVK and

w± = lim W±(z)•

Note that {w±} = {wa} where the numbers wa are given by (9).

Theorem 2. Suppose m > \m0\. If

z +

Bi

2Ai

>

2\Ai\

or

z +

Bi

2A1

<

2\mo\ — m

2\Ai\

then the estimates \W±(z) — w±\ < Q(m) hold. Here

\Qi\m + \Q2\

Q(m)

+

\mo\

2\Ai\

/

\Q3\m + \ Q4 \ + \Q5\m + \Qe\ m2 — m0 (m2 — m0)2

(16)

with the coefficients Q1, ..., Q6 expressed in terms of the coefficients of the equation (5). Proof. We will use the variable

l = 2A1z + B1

instead of z. In terms of l we have the constraints \l\ > m or \l\ < 2\m0\ — m. Also we have

e(z) =

l2 — m0 4Ai '

Then W±(z) can be rewritten as

, kit2 + k2l + m0 l4 + k4l3 + k5l2 + k6l + k7

W±(z) =-^-2-± 1

l2

2\Ai\

l

(l2 — m0)

2)2

with some coefficients ki, ..., k7. In particular, we have

m0

w± = ki ±

2\Ai\*

Then we obtain

W±(z) — w±

k21 + k3 + kim2 , m0

iНе можете найти то, что вам нужно? Попробуйте сервис подбора литературы.

l2

±

2\Ai \

W

l4 + k4l3 + k5l2 + k6l + k7

(l2 — m2)2

- 1

Qil + Q2 m0

l2

±

2\Ai \

Q3l + Q4 Q5l + Q6 1 +--Tn-2--r -tTTT — 1

l2

(l2 — m2)2

'

This representation (together with the inequality (15)) implies the estimate

\l2 — m2\ 2\Ai\V \l2 — m2\

,W () \Qi\\l\ + \Q2\ + W i\Q3\\l\ + \Q4\ + \Q5\\l\ + \Q6\

\ (z) — w± \ < ——2-—2--+ ^^ J —r72-^--+

(l2 — m2)2

Now we can finish in the same way as in the proof of Theorem 1.1 from [5].

In practice, the solving algorithm based on Theorem 2 can be optimized in the same way as in the paper [5]: the control parameter m must be chosen so that the value of the corresponding cost-function P(m) + Q(m) is minimal, where

P (m)

' 2(m — \m0\)

2\Ai\ :

2|Ai |

if m ^ 2\m0\, if m > 2|m0|'

and Q(m) is defined by (16). We demonstrated already one of examples of such optimization (namely, for the equation (13)). In the general case, the optimal value of m can be found using any standard numerical method.

m

m2 m2

0

0

2

0

2

0

0

References

[1] M.Ayad, Sur le theoreme de Runge, Acta Arith, 58(1991), 203-209.

[2] L.J.Mordell, Diophantine equations, London, Academic Press Inc., 1969.

[3] N.N.Osipov, The elementary version of Runge's method for cubic equations, Matematika v Shkole, 1(2012), 64-69 (in Russian).

[4] N.N.Osipov, Runge's method for the equations of fourth degree: an elementary approach, Matematicheskoe Prosveshchenie, Ser. 3, Vol. 19, MCCME, Moscow, 2015, 178-198 (in Russian).

[5] N.N.Osipov, B.V. Gulnova, An algorithmic implementation of Runge's method for cubic diophantine equations, J. Sib. Fed. Univ. Math. Phys., 11(2018), no. 2, 137-147.

[6] D.Poulakis, A simple method for solving the diophantine equation Y2 = X4 + aX3 + bX2 + cX + d, Elem. Math., 54(1999), 32-36.

[7] C.Runge, Über ganzzahlige Losungen von Gleichungen zwischen zwei Veränderlichen, J. reine und angew. Math., 100(1887), 425-435.

[8] A.Sankaranarayanan, N. Saradha, Estimates for the solutions of certain diophantine equations by Runge's method, Int. J. Number Theory, 4 (2008), 475-493.

[9] V.G.Sprindzuk, Classical Diophantine Equations, New York, Springer-Verlag, 1993.

[10] Sz.Tengely, On the Diophantine equation F(x) = G(y), Acta Arith., 110(2003), 185-200.

[11] P.G.Walsh, A quantitative version of Runge's theorem on diophantine equations, Acta Arith., 62(1992), 157-172.

Элементарный алгоритм для решения диофантова уравнения четвертой степени с условием Рунге

Николай Н. Осипов Мария И. Медведева

Институт космических и информационных технологий Сибирский федеральный университет Свободный, 79, Красноярск, 660041

Россия

Предлагается элементарный алгоритм решения диофантова уравнения

(p(x,y) + aix + biy)(p(x, y) + a2x + b2y) - dp(x,y) - a3x - b3y - c = 0 (*)

степени четыре, где p(x,y) обозначает неприводимую квадратичную форму положительного дискриминанта и (ai,bi) = (a2,b2). Последнее условие гарантирует, что уравнение (*) может быть решено с помощью хорошо известного метода Рунге, однако мы предпочитаем не использовать 'разложения в ряды, которые приводят к верхним границам для решений, бесполезным для компьютерной реализации.

Ключевые слова: диофантовы уравнения, элементарная версия метода Рунге.

i Надоели баннеры? Вы всегда можете отключить рекламу.